.\"	$NetBSD: fingerd.8,v 1.19 2003/09/07 16:22:22 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)fingerd.8	8.1 (Berkeley) 6/4/93
.\"
.Dd September 12, 2002
.Dt FINGERD 8
.Os
.Sh NAME
.Nm fingerd
.Nd remote user information server
.Sh SYNOPSIS
.Nm
.Op Fl 8ghlmpSsu
.Op Fl P Ar filename
.Sh DESCRIPTION
.Nm
is a simple protocol based on RFC 1288
that provides an interface to the
Name and Finger programs at several network sites.
The program is supposed to return a friendly,
human-oriented status report on either the system at the moment
or a particular person in depth.
There is no required format and the
protocol consists mostly of specifying a single
.Dq command line .
.Pp
.Nm
is started by
.Xr inetd 8 ,
which listens for
.Tn TCP
requests at port 79.
Once handed a connection,
.Nm
reads a single command line
terminated by a
.Aq Tn CRLF
which it then passes to
.Xr finger 1 .
.Nm
closes its connections as soon as the output is finished.
.Pp
If the line is null (i.e., just a
.Aq Tn CRLF
is sent) then
.Xr finger 1
returns a
.Dq default
report that lists all people logged into
the system at that moment.
.Pp
If a user name is specified (e.g.,
.Pf eric Aq Tn CRLF )
then the
response lists more extended information for only that particular user,
whether logged in or not.
Allowable
.Dq names
in the command line include both
.Dq login names
and
.Dq user names .
If a name is ambiguous, all possible derivations are returned.
.Pp
The following options may be passed to
.Nm
as server program arguments in
.Pa /etc/inetd.conf :
.Bl -tag -width XPXfilenameX
.It Fl 8
Enable 8-bit output.
.It Fl g
Do not show any gecos information besides the users' real names.
.It Fl h
Display the name of the remote host in short mode,
instead of the office location and office phone.
.It Fl l
Enable logging.
The name of the host originating the query, and the actual request
is reported via
.Xr syslog 3
at LOG_NOTICE priority.
A request of the form
.Sq /W
or
.Sq /w
will return long output.
Empty requests will return all currently logged in users.
All other requests look for specific users.
See RFC 1288 for details.
.It Fl m
Prevent matching of
.Ar user
names.
.Ar User
is usually a login name; however, matching will also be done on the
users' real names, unless the
.Fl m
option is supplied.
.It Fl P Ar filename
Use an alternate program as the local information provider.
The default local program executed by
.Nm
is
.Xr finger 1 .
By specifying a customized local server, this option allows a system manager
to have more control over what information is provided to remote sites.
.It Fl p
Prevents
.Xr finger 1
from displaying the contents of the
.Dq Pa .plan
and
.Dq Pa .project
files.
.It Fl S
Prints user information in short mode, one line per user.
This overrides the
.Dq Pa Whois switch
that may be passed in from the remote client.
.It Fl s
Disable forwarding of queries to other remote hosts.
.It Fl u
Queries without a user name are rejected.
.El
.Sh SEE ALSO
.Xr finger 1 ,
.Xr inetd 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
.Sh BUGS
Connecting directly to the server from a
.Tn TIP
or an equally narrow-minded
.Tn TELNET Ns -protocol
user program can result
in meaningless attempts at option negotiation being sent to the
server, which will foul up the command line interpretation.
.Nm
should be taught to filter out
.Tn IAC Ns 's
and perhaps even respond
negatively
.Pq Tn IAC WON'T
to all option commands received.
